MyGUI: MyGUI::PolygonalSkin Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions
MyGUI::PolygonalSkin Class Reference

`#include <MyGUI_PolygonalSkin.h>`

Inheritance diagram for MyGUI::PolygonalSkin:
[legend]

## Public Types
typedef RTTIBase | Base
typedef PolygonalSkin | RTTIBase
Public Types inherited from MyGUI::ISubWidgetRect
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| PolygonalSkin ()
virtual | ~PolygonalSkin ()
void | setPoints (const std::vector< FloatPoint > &_points)
void | setWidth (float _width)
void | setStroke (size_t _value)
virtual void | setAlpha (float _alpha)
virtual void | setVisible (bool _visible)
virtual void | setStateData (IStateInfo *_data)
virtual void | createDrawItem (ITexture *_texture, ILayerNode *_node)
virtual void | destroyDrawItem ()
virtual void | doRender ()
virtual void | _updateView ()
virtual void | _correctView ()
virtual void | _setAlign (const IntSize &_oldsize)
virtual void | _setUVSet (const FloatRect &_rect)
virtual void | _setColour (const Colour &_value)
Public Member Functions inherited from MyGUI::ISubWidgetRect
template<typename Type >
bool | isType () const
virtual | ~ISubWidgetRect ()
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type >
bool | isType () const
| ISubWidget ()
virtual | ~ISubWidget ()
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetRect
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Member Functions
void | _rebuildGeometry ()
FloatPoint | _getPerpendicular (const FloatPoint &_point1, const FloatPoint &_point2)
FloatPoint | _getMiddleLine (const FloatPoint &_point1, const FloatPoint &_point2, const FloatPoint &_point3)
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const

## Additional Inherited Members
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

Definition at line 18 of file MyGUI_PolygonalSkin.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::PolygonalSkin::Base

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ RTTIBase

typedef PolygonalSkin MyGUI::PolygonalSkin::RTTIBase

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## Constructor & Destructor Documentation

## ◆ PolygonalSkin()

MyGUI::PolygonalSkin::PolygonalSkin | ( |  | ) |

Definition at line 17 of file MyGUI_PolygonalSkin.cpp.

## ◆ ~PolygonalSkin()

MyGUI::PolygonalSkin::~PolygonalSkin | ( |  | ) |
| virtual

Definition at line 31 of file MyGUI_PolygonalSkin.cpp.

## Member Function Documentation

## ◆ _correctView()

void MyGUI::PolygonalSkin::_correctView | ( |  | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 120 of file MyGUI_PolygonalSkin.cpp.

## ◆ _getMiddleLine()

FloatPoint MyGUI::PolygonalSkin::_getMiddleLine | ( | const FloatPoint & | _point1,
|  | const FloatPoint & | _point2,
|  | const FloatPoint & | _point3
| ) |  |
| protected

Definition at line 527 of file MyGUI_PolygonalSkin.cpp.

## ◆ _getPerpendicular()

FloatPoint MyGUI::PolygonalSkin::_getPerpendicular | ( | const FloatPoint & | _point1,
|  | const FloatPoint & | _point2
| ) |  |
| protected

Definition at line 514 of file MyGUI_PolygonalSkin.cpp.

## ◆ _rebuildGeometry()

void MyGUI::PolygonalSkin::_rebuildGeometry | ( |  | ) |
| protected

Definition at line 293 of file MyGUI_PolygonalSkin.cpp.

## ◆ _setAlign()

void MyGUI::PolygonalSkin::_setAlign | ( | const IntSize & | _oldsize | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 128 of file MyGUI_PolygonalSkin.cpp.

## ◆ _setColour()

void MyGUI::PolygonalSkin::_setColour | ( | const Colour & | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 268 of file MyGUI_PolygonalSkin.cpp.

## ◆ _setUVSet()

void MyGUI::PolygonalSkin::_setUVSet | ( | const FloatRect & | _rect | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 283 of file MyGUI_PolygonalSkin.cpp.

## ◆ _updateView()

void MyGUI::PolygonalSkin::_updateView | ( |  | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 181 of file MyGUI_PolygonalSkin.cpp.

## ◆ createDrawItem()

void MyGUI::PolygonalSkin::createDrawItem | ( | ITexture * | _texture,
|  | ILayerNode * | _node
| ) |  |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 222 of file MyGUI_PolygonalSkin.cpp.

## ◆ destroyDrawItem()

void MyGUI::PolygonalSkin::destroyDrawItem | ( |  | ) |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 231 of file MyGUI_PolygonalSkin.cpp.

## ◆ doRender()

void MyGUI::PolygonalSkin::doRender | ( |  | ) |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 240 of file MyGUI_PolygonalSkin.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::PolygonalSkin::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::PolygonalSkin::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::PolygonalSkin::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ isType() [2/2]

virtual bool MyGUI::PolygonalSkin::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 21 of file MyGUI_PolygonalSkin.h.

## ◆ setAlpha()

void MyGUI::PolygonalSkin::setAlpha | ( | float | _alpha | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 111 of file MyGUI_PolygonalSkin.cpp.

## ◆ setPoints()

void MyGUI::PolygonalSkin::setPoints | ( | const std::vector< FloatPoint > & | _points | ) |

Set line points.

Definition at line 40 of file MyGUI_PolygonalSkin.cpp.

## ◆ setStateData()

void MyGUI::PolygonalSkin::setStateData | ( | IStateInfo * | _data | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 278 of file MyGUI_PolygonalSkin.cpp.

## ◆ setStroke()

void MyGUI::PolygonalSkin::setStroke | ( | size_t | _value | ) |

Set line stroke step. 0 to disable stroke.

Definition at line 93 of file MyGUI_PolygonalSkin.cpp.

## ◆ setVisible()

void MyGUI::PolygonalSkin::setVisible | ( | bool | _visible | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 99 of file MyGUI_PolygonalSkin.cpp.

## ◆ setWidth()

void MyGUI::PolygonalSkin::setWidth | ( | float | _width | ) |

Set line width in pixels.

Definition at line 87 of file MyGUI_PolygonalSkin.cpp.

The documentation for this class was generated from the following files:

- MyGUI_PolygonalSkin.h
- MyGUI_PolygonalSkin.cpp